Rated 4 out of 5 stars

It still works on Firefox 3.6.4 with Addon Compatibility disabled. But please, can anybody start updating this addon?

This review is for a previous version of the add-on (3.3).